import request from '@/utils/request'

// 查询配置分类列表
export function listConfigTab(query) {
    return request({
        url: '/mapi/system/configTab/list',
        method: 'get',
        params: query
    })
}

// 查询配置分类详细
export function getConfigTab(id) {
    return request({
        url: '/mapi/system/configTab/' + id,
        method: 'get'
    })
}

// 新增配置分类
export function addConfigTab(data) {
    return request({
        url: '/mapi/system/configTab',
        method: 'post',
        data: data
    })
}

// 修改配置分类
export function updateConfigTab(data) {
    return request({
        url: '/mapi/system/configTab',
        method: 'put',
        data: data
    })
}

// 删除配置分类
export function delConfigTab(id) {
    return request({
        url: '/mapi/system/configTab/' + id,
        method: 'delete'
    })
}


// 修改配置分类状态
export function updateConfigTabStatus(id,status) {
    const data = {
        id,
        status
    }
    return request({
        url: '/mapi/system/configTab/updateStatus',
        method: 'post',
        data: data
    })
}